# Installs in dir /usr

%define prefix /usr
%define sysconfdir /etc

Summary: Generating random passwords
Name: rndpass
Version: 2.1.0
Release: 2
Source0: rndpass-%{version}.tar.gz
Patch0:  rndpass-%{version}-%{release}.patch
Group: Amusements/Text
Copyright: GNU GENERAL PUBLIC LICENSE
URL: ftp://ics.p.lodz.pl/pub/security/rndpass
Vendor:  Bartosz Lis <bartoszl@ics.p.lodz.pl>
BuildRoot: /var/tmp/rndpass-%{version}.root

%description
This program generates passwords using random numbers. Passwords are of
the form cvcvcvCvcv, where c stands for consonant (one of bcdfghjklmnprstwz)
and v stands for vawel (one of aeiouy). One of the letters is uppercase to
make cracking more difficult. This program does not change the password
directly, but it calls PAM routines.

%prep
%setup
%patch0 -p1
./configure --prefix=%{prefix} --sysconfdir=%{sysconfdir}

%build
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%files
#binaries
%prefix/bin/*
%config(noreplace) %sysconfdir/*
